#!/bin/bash

REPERTOIRE=/mnt/loop
VERT="\\033[1;32m"
ROUGE="\\033[1;31m"
CYAN="\\033[1;36m"
NORMAL="\\033[0;39m"
demontage(){
        #pas de démontage dans eolevz
        if [ ! -e /etc/sysconfig/eole/eolevz ]; then
            #monté plusieurs fois ...
            cpt=`mount |grep $REPERTOIRE -c`
            if [ "$cpt" != 0 ]
            then
                for i in `seq $cpt`
                do
                    echo "Démontage de l'image"
                    /bin/umount $REPERTOIRE > /dev/null
                done
            fi
        fi
}


installation(){
echo -e ""$VERT"Copie des fichiers OSCAR en cours...""$NORMAL"
[ ! -d $REPERTOIRE ] && mkdir -p $REPERTOIRE
mount -o loop "$chemin_iso" $REPERTOIRE
/bin/cp -r $REPERTOIRE/* /var/lib/tftpboot/
/bin/cp -r /var/lib/tftpboot/isolinux/* /var/lib/tftpboot/
/bin/cp /usr/lib/syslinux/pxelinux.0 /var/lib/tftpboot
/etc/init.d/tftpd-hpa start
echo
}

if [ -e /etc/sysconfig/eole/eolevz ]; then
	echo "Serveur virtualisé, installation impossible avec ce script (commande 'mount' non disponible)."
	exit 1
fi

echo -e ""$CYAN"Ceci va installer des paquets et activer OSCAR sur votre serveur""$NORMAL"
echo "Pour activer OSCAR, vous devez avoir son image ISO disponible sur le serveur"

PS3="Choix : "
	select choix in "Installation complète d'Oscar" "Mise à jour vers une nouvelle version d'Oscar" "Quitter"
do
	case $REPLY in
	1)
PS3="Choix ("q" pour quitter) : "
		select chemin_iso in `ls /root/*.iso` "saisie_manuelle"
		do
		if [ "$chemin_iso" == "saisie_manuelle" ] ; then
		echo "Saisir le chemin complet du fichier iso :"
		read -e saisie
			chemin_iso="$saisie"
			echo "Installation du paquet \"syslinux\""
			apt-eole install syslinux
			installation
			demontage $REPERTOIRE
		elif [ "$REPLY" == "q" ] ; then
			exit
		else
			echo "Installation du paquet \"syslinux\""
			apt-eole install syslinux
			installation
			demontage $REPERTOIRE
			echo -e ""$CYAN"Activation d'OSCAR terminée, veuillez lancer "$ROUGE"'reconfigure'."$NORMAL""
		fi
		break
		done
	;;

	2)
PS3="Choix ("q" pour quitter) : "
		select chemin_iso in `ls /root/*.iso` "saisie_manuelle"
		do
		if [ "$chemin_iso" == "saisie_manuelle" ] ; then
		echo "Saisir le chemin complet du fichier iso :"
		read -e saisie
			chemin_iso="$saisie"
			installation
			demontage $REPERTOIRE
		elif [ "$REPLY" == "q" ] ; then
			exit
		else
			installation
			demontage $REPERTOIRE
			echo -e ""$CYAN"Activation d'OSCAR terminée, veuillez lancer "$ROUGE"'reconfigure'."$NORMAL""
		fi
		break
		done
	;;

	3)
		exit
	;;
	esac
break
done
